#
# spec file for package perl-Algorithm-CheckDigits
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Algorithm-CheckDigits
Name:           perl-Algorithm-CheckDigits
Version:        1.3.6
Release:        1.10
Summary:        Perl extension to generate and test check digits
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MAMAWE/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.380000
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(version)
Requires:       perl(version)
%{perl_requires}

%description
Perl extension to generate and test check digits

%prep
%autosetup  -n %{cpan_name}-v%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Wed Nov 17 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.3.6
  see /usr/share/doc/packages/perl-Algorithm-CheckDigits/Changes
  v1.3.6 Tue Nov 16 11:38:44 CET 2021
  - adjust repository to reflect move on GitHub
* Tue Nov 24 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.3.5
  see /usr/share/doc/packages/perl-Algorithm-CheckDigits/Changes
  v1.3.5 Wed Nov 18 16:18:35 CET 2020
  - added links to repository and bugtracker
  - added entry to changelog
  - fix Bug #133767
  v1.3.4 Thu 17. Nov 15:13:54 CET 2020
  - revise lib/Algorithm/CheckDigits/M23_002.pm (irish TIN)
  - fix Bug #133031
* Wed Jul 15 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.3.3
  see /usr/share/doc/packages/perl-Algorithm-CheckDigits/Changes
  v1.3.3 Di 14. Jul 19:20:56 CEST 2020
  - reworked lib/Algorithm/CheckDigits.pm, allow 10-digit numbers,
  allow prepending of 'BE' before the digits
  - fix Bug #132950
* Tue May 24 2016 coolo@suse.com
- updated to 1.3.2
  see /usr/share/doc/packages/perl-Algorithm-CheckDigits/Changes
  v1.3.2 Mo 16. Mai 15:02:03 CEST 2016
  - fix version strings
  1.3.1 Mo 16. Mai 03:19:57 CEST 2016
  - fix Bug #114347
  - fix version numbers
  - require Perl version in Build.PL
  1.3.0 Sun May 12 10:28:21 CEST 2013
  - Changed description of modules to more meaningful text (at least I
  hope so).
  - Added plugin interface with examples in t/PluginLib*.pm and
  t/plugin*.t.
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.3.0
  see /usr/share/doc/packages/perl-Algorithm-CheckDigits/Changes
  1.2.1 Sun Mar  3 22:51:45 CET 2013
  - changed list items in POD from 0, 1, ... to S<0>, S<1>, ...
  according to a thread on the perl5 porters list
  (www.nntp.perl.org/group/perl.perl5.porters/2013/02/msg199355.html)
  David Wheeler: "Lists must start with 1. When it saw the 0, it
  assumed it was a definition list, so the numbers after that
  don't look right."
  1.2.0 Fr 8. Jun 11:19:25 CEST 2012
  - reworked Algorithm::CheckDigits::MXX_001.pm, added ABA routing
  numbers
  1.1.2 Fr 8. Jun 09:22:35 CEST 2012
  - added '=encoding iso-8859-1' to M11_004.pm, M11_006.pm,
  MBase_002.pm, MXX_003.pm, MXX_006.pm. This should prevent
  failures in the processing of the POD that contain non-ASCII
  characters.
  - corrected search and replacement lists in M10_011.pm
* Thu Apr 28 2011 coolo@opensuse.org
- add description
* Sun Apr  3 2011 coolo@novell.com
- updated to 1.1.1
  - Reworked Algorithm::CheckDigits::M10_008 (sedol) to cop with
    alphanumerical SEDOL codes that are in use since March 2004.
  - There was also a flaw in the computation of the checksum that
    provided 10 instead of 0.
  - This closes bug number #66340 on CPAN.
  - reworked Algorithm::CheckDigits::M10_001, added CUSIP
  - moved scripts/checkdigits.pl to bin/checkdigits.pl
  - added cgi-bin/checkdigits.cgi
  - reworked Algorithm::CheckDigits::MXX_001
  - added scripts/checkdigits.pl as sample script
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Feb 20 2010 lars@linux-schulserver.de
- update to 0.53:
  + cleaned up documentation
  + added $VERSION into all modules to close #36482 at
    rt.cpan.org
  + added link to english description for ustid_pl
  + corrected documentation for ustid_pl/vatnr_pl
  + reworked algorithm and documentation for esr5_ch according to
    http://www.sic.ch/de/dl_tkicch_dta.pdf
- BuildRequires perl-macros to use perl_gen_filelist-macro
* Mon Aug 11 2008 lrupp@suse.de
- initial version 0.50
